Bug 214212 - [RHEL3 RFE] Add Linux Virtual Server SyncID support
Summary: [RHEL3 RFE] Add Linux Virtual Server SyncID support
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.8
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Kernel Manager
QA Contact: Brian Brock
URL: http://marc.theaimsgroup.com/?l=linux...
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-06 16:21 UTC by Jarod Wilson
Modified: 2007-11-17 01:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 18:40:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
IPVS SyncID patch for 2.4.x kernel series (20.78 KB, patch)
2006-11-06 16:21 UTC, Jarod Wilson
no flags Details | Diff
Backported ipvs 1.0.10 and syncd patch (44.51 KB, text/x-patch)
2007-01-17 21:45 UTC, Lawrence Walton
no flags Details

Description Jarod Wilson 2006-11-06 16:21:57 UTC
Description of problem:
Some of the more advanced Linux Virtual Server load-balancing setups in use by
certain customers require SyncID support to operate correctly. This patch was
accepted into the 2.4.x stable kernel some time ago.

http://marc.theaimsgroup.com/?l=linux-virtual-server&m=105459391703228&w=2

Customer has been manually applying this patch atop RHEL3 kernels for a while
and using successfully, but would like to see this rolled into our builds to
save the trouble.

Comment 1 Jarod Wilson 2006-11-06 16:21:57 UTC
Created attachment 140487 [details]
IPVS SyncID patch for 2.4.x kernel series

Comment 3 Lawrence Walton 2007-01-16 23:31:29 UTC
I back-ported ipvs 1.0.10 
http://www.linuxvirtualserver.org/software/kernel-2.4/linux-2.4.21-ipvs-1.0.10.patch.gz

and the last version for 2.4.x kernels for syncd
http://www.linuxvirtualserver.org/~acassen/software/linux-2.4.28-ipvs_syncd.patch.gz

To this kernel. How do you want the patches split up or unified? Is this kernel
still open for patches?


Comment 4 Lawrence Walton 2007-01-17 21:45:08 UTC
Created attachment 145862 [details]
Backported ipvs 1.0.10  and syncd patch

Comment 5 RHEL Product and Program Management 2007-10-19 18:40:06 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.